deja-dup/duplicity fails gpg encrypted backup in trusty

Bug #1276327 reported by Dominik Kubla on 2014-02-04
60
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Duplicity
Undecided
Unassigned
duplicity (Ubuntu)
Undecided
Unassigned

Bug Description

Failed with an unknown error.

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1489, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1483, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1332, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1414, in do_backup
    globals.gpg_profile.passphrase = get_passphrase(1, action)
  File "/usr/bin/duplicity", line 168, in get_passphrase
    pass1 = getpass.getpass(_("GnuPG passphrase:")+" ")
  File "/usr/lib/python2.7/getpass.py", line 83, in unix_getpass
    passwd = fallback_getpass(prompt, stream)
  File "/usr/lib/python2.7/getpass.py", line 118, in fallback_getpass
    return _raw_input(prompt, stream)
  File "/usr/lib/python2.7/getpass.py", line 128, in _raw_input
    prompt = str(prompt)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 10: ordinal not in range(128)

1) lsb_release -rd
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04

2) apt-cache policy duplicity
duplicity:
  Installed: 0.6.23-0ubuntu1
  Candidate: 0.6.23-0ubuntu1
  Version table:
 *** 0.6.23-0ubuntu1 0
        500 http://de.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

3) I expected the scheduled backups to succeed as the used to do in the past.
4) The backup aborts with the error message listed above

Additonally deja-dup-preferences vanished from System Preferences, but that should perhaps be logged as a different bug.

Downgrading deja-dup/duplicity to the saucy versions restores functionality.

Related branches

Michael Terry (mterry) wrote :

As a workaround, set LANG=en_US.UTF-8

Proper fix on the way.

Am 05.02.2014 15:40, schrieb Michael Terry:
> As a workaround, set LANG=en_US.UTF-8
>
> Proper fix on the way.
>

Hi,

thanks for the workaround. That works.

Regards,
  Dominik

Denis Washington (dwashington) wrote :

Will this change land in Ubuntu Trusty soon? Without it, I am not able to do backups anymore, which is very bad.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package duplicity - 0.6.23-1ubuntu2

---------------
duplicity (0.6.23-1ubuntu2) trusty; urgency=medium

  * debian/patches/getpass-encode.patch:
    - Always pass getpass a bytes string, preventing a crash when
      prompting the user for a passphrase in non-English locales.
      LP: #1276327
 -- Michael Terry <email address hidden> Sat, 22 Feb 2014 10:39:21 -0500

Changed in duplicity (Ubuntu):
status: New → Fix Released
Denis Washington (dwashington) wrote :

Thank you!

Dominik Kubla (dbkubla) wrote :

Am 22.02.2014 17:57, schrieb Launchpad Bug Tracker:
> This bug was fixed in the package duplicity - 0.6.23-1ubuntu2
>
> ---------------
> duplicity (0.6.23-1ubuntu2) trusty; urgency=medium
>
> * debian/patches/getpass-encode.patch:
> - Always pass getpass a bytes string, preventing a crash when
> prompting the user for a passphrase in non-English locales.
> LP: #1276327
> -- Michael Terry <email address hidden> Sat, 22 Feb 2014 10:39:21 -0500
>
> ** Changed in: duplicity (Ubuntu)
> Status: New => Fix Released
>

I can confirm that it works. Thanks for the good work!

Regards,
 Dominik Kubla

I had this bug after upgrading yesterday on Precise. Details:

$ cat /etc/apt/sources.list.d/duplicity-team-ppa-precise.list
deb http://ppa.launchpad.net/duplicity-team/ppa/ubuntu precise main
deb-src http://ppa.launchpad.net/duplicity-team/ppa/ubuntu precise main

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise

$ /usr/bin/duplicity --version
duplicity 0.6.23

$ apt-cache policy duplicity
duplicity:
  Instalados: 0.6.23-0ubuntu0ppa21~precise1
  Candidato: 0.6.23-0ubuntu0ppa21~precise1
  Tabla de versión:
 *** 0.6.23-0ubuntu0ppa21~precise1 0
        500 http://ppa.launchpad.net/duplicity-team/ppa/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     0.6.18-0ubuntu3.4 0
        500 http://cr.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
     0.6.18-0ubuntu3 0
        500 http://cr.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

Am I missing something on my setup?

Additional Note: Workaround did not work for me.

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1489, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1483, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1332, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1465, in do_backup
    incremental_backup(sig_chain)
  File "/usr/bin/duplicity", line 652, in incremental_backup
    print_statistics(diffdir.stats, bytes_written)
  File "/usr/bin/duplicity", line 590, in print_statistics
    print diffdir.stats.get_stats_logstring(_("Backup Statistics"))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 21: ordinal not in range(128)

Raul (raul.bazet) wrote :

I had this bug today on Trusty. Details:

raul@Spock:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty
raul@Spock:~$

raul@Spock:~$ /usr/bin/duplicity --version
duplicity 0.6.23
raul@Spock:~$

raul@Spock:~$ apt-cache policy duplicity
duplicity:
  Instalados: 0.6.23-1ubuntu2
  Candidato: 0.6.23-1ubuntu2
  Tabla de versión:
 *** 0.6.23-1ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1493, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1487, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1336, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1469, in do_backup
    incremental_backup(sig_chain)
  File "/usr/bin/duplicity", line 656, in incremental_backup
    print_statistics(diffdir.stats, bytes_written)
  File "/usr/bin/duplicity", line 594, in print_statistics
    print diffdir.stats.get_stats_logstring(_("Backup Statistics"))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 21: ordinal not in range(128)

same today, a full backup with or without pass
Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1493, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1487, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1336, in main
    do_backup(action)
  File "/usr/bin/duplicity", line 1457, in do_backup
    full_backup(col_stats)
  File "/usr/bin/duplicity", line 564, in full_backup
    print_statistics(diffdir.stats, bytes_written)
  File "/usr/bin/duplicity", line 594, in print_statistics
    print diffdir.stats.get_stats_logstring(_("Backup Statistics"))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 21: ordinal not in range(128)

Michael Terry (mterry) wrote :

Those more recent errors (the ones that say "Backup Statistics" in the crash report are bug 1286845.

Michael Terry (mterry) on 2017-09-06
Changed in duplicity:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers